665fffea183b

More
[view raw] [browse files]
author Steve Losh <steve@stevelosh.com>
date Fri, 09 Feb 2018 12:16:59 -0500
parents 9469fc3d271f
children 43b11c2a5746
branches/tags (none)
files bin/sbcl-raw bin/sbcl-vlime-raw lispwords vim/vimrc

Changes

--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/sbcl-raw	Fri Feb 09 12:16:59 2018 -0500
@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+
+set -e
+/usr/local/bin/sbcl --noinform "$@"
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/sbcl-vlime-raw	Fri Feb 09 12:16:59 2018 -0500
@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+
+set -e
+sbcl-raw --eval "(load \"~/lib/dotfiles/vim/bundle/vlime/lisp/start-vlime.lisp\")" "$@"
--- a/lispwords	Sat Jan 20 15:38:38 2018 -0500
+++ b/lispwords	Fri Feb 09 12:16:59 2018 -0500
@@ -106,3 +106,6 @@
 
 ; ppcre
 (2 register-groups-bind)
+
+; lparallel
+(1 pdotimes)
--- a/vim/vimrc	Sat Jan 20 15:38:38 2018 -0500
+++ b/vim/vimrc	Fri Feb 09 12:16:59 2018 -0500
@@ -998,6 +998,11 @@
 function! OpenLispReplSBCL() "{{{
     NeoRepl sbcl-vlime
 endfunction "}}}
+
+function! OpenLispReplSBCLRaw() "{{{
+    NeoRepl sbcl-vlime-raw
+endfunction "}}}
+
 function! OpenLispReplCCL() "{{{
     NeoRepl ccl-vlime
 endfunction "}}}
@@ -1222,6 +1227,7 @@
     au FileType lisp nnoremap <buffer> <silent> <localleader>Oc :call OpenLispReplCCL()<cr>
     au FileType lisp nnoremap <buffer> <silent> <localleader>Oe :call OpenLispReplECL()<cr>
     au FileType lisp nnoremap <buffer> <silent> <localleader>Oa :call OpenLispReplABCL()<cr>
+    au FileType lisp nnoremap <buffer> <silent> <localleader>Ors :call OpenLispReplSBCLRaw()<cr>
 
     " Misc mappings
     " au FileType lisp nnoremap <buffer> gi :call IndentToplevelLispForm()<cr>